<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="file">
    <name>ACE_QoS_Export.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>ACE__QoS__Export_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>ACE_QOS_EXPORT_H</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_QoS_HAS_DLL</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_QoS_Export</name>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_QoS_SINGLETON_DECLARATION</name>
      <anchor>a3</anchor>
      <arglist>(T)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>ACE_QoS_SINGLETON_DECLARE</name>
      <anchor>a4</anchor>
      <arglist>(SINGLETON_TYPE, CLASS, LOCK)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Decorator.cpp</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Decorator_8cpp</filename>
    <includes id="QoS__Decorator_8h" name="QoS_Decorator.h" local="yes">QoS_Decorator.h</includes>
    <member kind="function" static="yes">
      <type>const char *</type>
      <name>get_rcsid_ace_QoS_Decorator</name>
      <anchor>a1</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>rcsid_ace_QoS_Decorator</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Decorator.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Decorator_8h</filename>
    <includes id="SOCK__Dgram__Mcast__QoS_8h" name="SOCK_Dgram_Mcast_QoS.h" local="yes">SOCK_Dgram_Mcast_QoS.h</includes>
    <includes id="ACE__QoS__Export_8h" name="ACE_QoS_Export.h" local="yes">ACE_QoS_Export.h</includes>
    <class kind="class">ACE_QoS_Decorator</class>
    <class kind="class">ACE_QoS_Decorator_Base</class>
    <class kind="class">ACE_QoS_Event_Handler</class>
    <member kind="function" static="yes">
      <type>const char *</type>
      <name>get_rcsid_QOS_Decorator_QOS_Decorator</name>
      <anchor>a1</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>rcsid_QOS_Decorator_QOS_Decorator</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Manager.cpp</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Manager_8cpp</filename>
    <includes id="QoS__Manager_8h" name="QoS_Manager.h" local="yes">QoS_Manager.h</includes>
    <member kind="function" static="yes">
      <type>const char *</type>
      <name>get_rcsid_ace_QoS_Manager</name>
      <anchor>a1</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>rcsid_ace_QoS_Manager</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Manager.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Manager_8h</filename>
    <includes id="ACE__QoS__Export_8h" name="ACE_QoS_Export.h" local="yes">ACE_QoS_Export.h</includes>
    <includes id="QoS__Session_8h" name="QoS_Session.h" local="yes">QoS_Session.h</includes>
    <class kind="class">ACE_QoS_Manager</class>
    <member kind="define">
      <type>#define</type>
      <name>ACE_LACKS_PRAGMA_ONCE</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Session.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Session_8h</filename>
    <includes id="ACE__QoS__Export_8h" name="ACE_QoS_Export.h" local="yes">ACE_QoS_Export.h</includes>
    <class kind="class">ACE_QoS_Session</class>
    <member kind="typedef">
      <type>int</type>
      <name>ACE_Protocol_ID</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Session_Factory.cpp</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Session__Factory_8cpp</filename>
    <includes id="QoS__Session__Factory_8h" name="QoS_Session_Factory.h" local="yes">QoS_Session_Factory.h</includes>
    <includes id="QoS__Session__Impl_8h" name="QoS_Session_Impl.h" local="yes">QoS_Session_Impl.h</includes>
    <member kind="function" static="yes">
      <type>const char *</type>
      <name>get_rcsid_ace_QoS_Session_Factory</name>
      <anchor>a1</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>rcsid_ace_QoS_Session_Factory</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Session_Factory.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Session__Factory_8h</filename>
    <includes id="QoS__Session_8h" name="QoS_Session.h" local="yes">ace/QoS/QoS_Session.h</includes>
    <includes id="ACE__QoS__Export_8h" name="ACE_QoS_Export.h" local="yes">ACE_QoS_Export.h</includes>
    <class kind="class">ACE_QoS_Session_Factory</class>
  </compound>
  <compound kind="file">
    <name>QoS_Session_Impl.cpp</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Session__Impl_8cpp</filename>
    <includes id="QoS__Manager_8h" name="QoS_Manager.h" local="yes">QoS_Manager.h</includes>
    <includes id="QoS__Session__Impl_8h" name="QoS_Session_Impl.h" local="yes">QoS_Session_Impl.h</includes>
    <includes id="QoS__Session__Impl_8i" name="QoS_Session_Impl.i" local="yes">QoS_Session_Impl.i</includes>
    <member kind="function" static="yes">
      <type>const char *</type>
      <name>get_rcsid_ace_QoS_Session_Impl</name>
      <anchor>a1</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>rcsid_ace_QoS_Session_Impl</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>QoS_Session_Impl.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Session__Impl_8h</filename>
    <includes id="QoS__Session_8h" name="QoS_Session.h" local="yes">ace/QoS/QoS_Session.h</includes>
    <class kind="class">ACE_GQoS_Session</class>
  </compound>
  <compound kind="file">
    <name>QoS_Session_Impl.i</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>QoS__Session__Impl_8i</filename>
  </compound>
  <compound kind="file">
    <name>SOCK_Dgram_Mcast_QoS.cpp</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>SOCK__Dgram__Mcast__QoS_8cpp</filename>
    <includes id="SOCK__Dgram__Mcast__QoS_8h" name="SOCK_Dgram_Mcast_QoS.h" local="yes">SOCK_Dgram_Mcast_QoS.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>IMR_MULTIADDR</name>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>const char *</type>
      <name>get_rcsid_ace_SOCK_Dgram_Mcast_QoS</name>
      <anchor>a2</anchor>
      <arglist>(const char *)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const char *</type>
      <name>rcsid_ace_SOCK_Dgram_Mcast_QoS</name>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>SOCK_Dgram_Mcast_QoS.h</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>SOCK__Dgram__Mcast__QoS_8h</filename>
    <includes id="QoS__Manager_8h" name="QoS_Manager.h" local="yes">QoS_Manager.h</includes>
    <includes id="SOCK__Dgram__Mcast__QoS_8i" name="SOCK_Dgram_Mcast_QoS.i" local="yes">SOCK_Dgram_Mcast_QoS.i</includes>
    <class kind="class">ACE_SOCK_Dgram_Mcast_QoS</class>
  </compound>
  <compound kind="file">
    <name>SOCK_Dgram_Mcast_QoS.i</name>
    <path>/export2/deucetmp/bala/release_try/ACE_wrappers/ace/QoS/</path>
    <filename>SOCK__Dgram__Mcast__QoS_8i</filename>
  </compound>
  <compound kind="class">
    <name>ACE_GQoS_Session</name>
    <filename>classACE__GQoS__Session.html</filename>
    <base>ACE_QoS_Session</base>
    <member kind="function">
      <type></type>
      <name>~ACE_GQoS_Session</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>open</name>
      <anchor>a1</anchor>
      <arglist>(ACE_INET_Addr dest_addr, ACE_Protocol_ID protocol_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>close</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_QoS</type>
      <name>qos</name>
      <anchor>a3</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>qos</name>
      <anchor>a4</anchor>
      <arglist>(ACE_SOCK *socket, ACE_QoS_Manager *qos_manager, const ACE_QoS &amp;ace_qos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>qos</name>
      <anchor>a5</anchor>
      <arglist>(const ACE_QoS &amp;ace_qos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>update_qos</name>
      <anchor>a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_End_Point_Type</type>
      <name>flags</name>
      <anchor>a7</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>flags</name>
      <anchor>a8</anchor>
      <arglist>(const ACE_End_Point_Type flags)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_INET_Addr</type>
      <name>dest_addr</name>
      <anchor>a9</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>dest_addr</name>
      <anchor>a10</anchor>
      <arglist>(const ACE_INET_Addr &amp;dest_addr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual u_short</type>
      <name>source_port</name>
      <anchor>a11</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>source_port</name>
      <anchor>a12</anchor>
      <arglist>(const u_short &amp;source_port)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_INET_Addr *</type>
      <name>source_addr</name>
      <anchor>a13</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>source_addr</name>
      <anchor>a14</anchor>
      <arglist>(ACE_INET_Addr *source_addr)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>session_id</name>
      <anchor>a15</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>session_id</name>
      <anchor>a16</anchor>
      <arglist>(const int session_id)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_HANDLE</type>
      <name>rsvp_events_handle</name>
      <anchor>a17</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>rsvp_event_type</name>
      <anchor>a18</anchor>
      <arglist>(RSVP_Event_Type event_type)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual RSVP_Event_Type</type>
      <name>rsvp_event_type</name>
      <anchor>a19</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>version</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>int</type>
      <name>GQoS_session_id</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ACE_GQoS_Session</name>
      <anchor>c0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>ACE_QoS_Session_Factory</name>
      <anchor>l0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_QoS_Decorator</name>
    <filename>classACE__QoS__Decorator.html</filename>
    <base>ACE_QoS_Decorator_Base</base>
    <member kind="function">
      <type></type>
      <name>ACE_QoS_Decorator</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_QoS_Decorator</name>
      <anchor>a1</anchor>
      <arglist>(ACE_Event_Handler *event_handler, ACE_QoS_Session *qos_session, ACE_Reactor *reactor=ACE_Reactor::instance())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_QoS_Decorator</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_HANDLE</type>
      <name>get_handle</name>
      <anchor>a3</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>handle_input</name>
      <anchor>a4</anchor>
      <arglist>(ACE_HANDLE fd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>handle_qos</name>
      <anchor>a5</anchor>
      <arglist>(ACE_HANDLE fd)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>init</name>
      <anchor>a6</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QoS_Decorator_Base *</type>
      <name>decorator_base_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QoS_Event_Handler *</type>
      <name>qos_event_handler_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QoS_Session *</type>
      <name>qos_session_</name>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Reactor *</type>
      <name>reactor_</name>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_QoS_Decorator_Base</name>
    <filename>classACE__QoS__Decorator__Base.html</filename>
    <base>ACE_Event_Handler</base>
    <member kind="function">
      <type></type>
      <name>ACE_QoS_Decorator_Base</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_QoS_Decorator_Base</name>
      <anchor>a1</anchor>
      <arglist>(ACE_Event_Handler *event_handler)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_QoS_Decorator_Base</name>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual ACE_HANDLE</type>
      <name>get_handle</name>
      <anchor>a3</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>handle_input</name>
      <anchor>a4</anchor>
      <arglist>(ACE_HANDLE fd)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>handle_qos</name>
      <anchor>a5</anchor>
      <arglist>(ACE_HANDLE fd)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_Event_Handler *</type>
      <name>event_handler_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_QoS_Event_Handler</name>
    <filename>classACE__QoS__Event__Handler.html</filename>
    <base>ACE_Event_Handler</base>
    <member kind="function" protection="protected">
      <type></type>
      <name>~ACE_QoS_Event_Handler</name>
      <anchor>c0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual ACE_HANDLE</type>
      <name>get_handle</name>
      <anchor>c1</anchor>
      <arglist>(void) const</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>handle_input</name>
      <anchor>c2</anchor>
      <arglist>(ACE_HANDLE fd)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>qos_session</name>
      <anchor>c3</anchor>
      <arglist>(ACE_QoS_Session *qos_session)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ACE_QoS_Event_Handler</name>
      <anchor>c4</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>ACE_QoS_Event_Handler</name>
      <anchor>c5</anchor>
      <arglist>(ACE_QoS_Decorator_Base *decorator_base)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QoS_Session *</type>
      <name>qos_session_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QoS_Decorator_Base *</type>
      <name>decorator_base_</name>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>ACE_QoS_Decorator</name>
      <anchor>l0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_QoS_Manager</name>
    <filename>classACE__QoS__Manager.html</filename>
    <member kind="typedef">
      <type>ACE_Unbounded_Set&lt; ACE_QoS_Session * &gt;</type>
      <name>ACE_QOS_SESSION_SET</name>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_QoS_Manager</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_QoS_Manager</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>join_qos_session</name>
      <anchor>a2</anchor>
      <arglist>(ACE_QoS_Session *qos_session)</arglist>
    </member>
    <member kind="function">
      <type>ACE_QOS_SESSION_SET</type>
      <name>qos_session_set</name>
      <anchor>a3</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QOS_SESSION_SET</type>
      <name>qos_session_set_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_QoS_Session</name>
    <filename>classACE__QoS__Session.html</filename>
    <member kind="enumeration">
      <name>RSVP_Event_Type</name>
      <anchor>s8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RSVP_PATH_EVENT</name>
      <anchor>s8s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RSVP_RESV_EVENT</name>
      <anchor>s8s1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RSVP_RESV_CONFIRM</name>
      <anchor>s8s2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RSVP_RESV_ERROR</name>
      <anchor>s8s3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RSVP_PATH_ERROR</name>
      <anchor>s8s4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ACE_End_Point_Type</name>
      <anchor>s9</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ACE_QOS_SENDER</name>
      <anchor>s9s5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ACE_QOS_RECEIVER</name>
      <anchor>s9s6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ACE_QOS_BOTH</name>
      <anchor>s9s7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ACE_QoS_Session</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>open</name>
      <anchor>a1</anchor>
      <arglist>(ACE_INET_Addr dest_addr, ACE_Protocol_ID protocol_id)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>close</name>
      <anchor>a2</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ACE_QoS</type>
      <name>qos</name>
      <anchor>a3</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>qos</name>
      <anchor>a4</anchor>
      <arglist>(ACE_SOCK *socket, ACE_QoS_Manager *qos_manager, const ACE_QoS &amp;ace_qos)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>qos</name>
      <anchor>a5</anchor>
      <arglist>(const ACE_QoS &amp;ace_qos)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>update_qos</name>
      <anchor>a6</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ACE_End_Point_Type</type>
      <name>flags</name>
      <anchor>a7</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>flags</name>
      <anchor>a8</anchor>
      <arglist>(const ACE_End_Point_Type flags)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>session_id</name>
      <anchor>a9</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>session_id</name>
      <anchor>a10</anchor>
      <arglist>(const int session_id)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ACE_HANDLE</type>
      <name>rsvp_events_handle</name>
      <anchor>a11</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>rsvp_event_type</name>
      <anchor>a12</anchor>
      <arglist>(RSVP_Event_Type event_type)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual RSVP_Event_Type</type>
      <name>rsvp_event_type</name>
      <anchor>a13</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ACE_INET_Addr</type>
      <name>dest_addr</name>
      <anchor>a14</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>dest_addr</name>
      <anchor>a15</anchor>
      <arglist>(const ACE_INET_Addr &amp;dest_addr)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual u_short</type>
      <name>source_port</name>
      <anchor>a16</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>source_port</name>
      <anchor>a17</anchor>
      <arglist>(const u_short &amp;source_port)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual ACE_INET_Addr *</type>
      <name>source_addr</name>
      <anchor>a18</anchor>
      <arglist>(void) const=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>source_addr</name>
      <anchor>a19</anchor>
      <arglist>(ACE_INET_Addr *source_addr)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>version</name>
      <anchor>a20</anchor>
      <arglist>(void)=0</arglist>
    </member>
    <member kind="variable" protection="public">
      <type>u_short</type>
      <name>source_port_</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>int</type>
      <name>session_id_</name>
      <anchor>n1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ACE_INET_Addr</type>
      <name>dest_addr_</name>
      <anchor>n2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ACE_INET_Addr *</type>
      <name>src_addr_</name>
      <anchor>n3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ACE_Protocol_ID</type>
      <name>protocol_id_</name>
      <anchor>n4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ACE_QoS</type>
      <name>qos_</name>
      <anchor>n5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>ACE_End_Point_Type</type>
      <name>flags_</name>
      <anchor>n6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="public">
      <type>RSVP_Event_Type</type>
      <name>rsvp_event_type_</name>
      <anchor>n7</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_QoS_Session_Factory</name>
    <filename>classACE__QoS__Session__Factory.html</filename>
    <member kind="enumeration">
      <name>ACE_QoS_Session_Type</name>
      <anchor>s2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ACE_RAPI_SESSION</name>
      <anchor>s2s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ACE_GQOS_SESSION</name>
      <anchor>s2s1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ACE_QoS_Session_Factory</name>
      <anchor>a0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_QoS_Session_Factory</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>ACE_QoS_Session *</type>
      <name>create_session</name>
      <anchor>a2</anchor>
      <arglist>(ACE_QoS_Session_Type qos_session_type=ACE_DEFAULT_QOS_SESSION)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>destroy_session</name>
      <anchor>a3</anchor>
      <arglist>(ACE_QoS_Session *qos_session)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>const enum ACE_QoS_Session_Type</type>
      <name>ACE_DEFAULT_QOS_SESSION</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>ACE_Unbounded_Set&lt; ACE_QoS_Session * &gt;</type>
      <name>QOS_SESSION_SET</name>
      <anchor>u0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>add_session</name>
      <anchor>c0</anchor>
      <arglist>(ACE_QoS_Session *qos_session)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>remove_session</name>
      <anchor>c1</anchor>
      <arglist>(ACE_QoS_Session *qos_session)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QOS_SESSION_SET</type>
      <name>qos_session_set_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ACE_SOCK_Dgram_Mcast_QoS</name>
    <filename>classACE__SOCK__Dgram__Mcast__QoS.html</filename>
    <base>ACE_SOCK_Dgram_Mcast</base>
    <member kind="function">
      <type></type>
      <name>ACE_SOCK_Dgram_Mcast_QoS</name>
      <anchor>a0</anchor>
      <arglist>(options opts=DEFOPTS)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ACE_SOCK_Dgram_Mcast_QoS</name>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>subscribe</name>
      <anchor>a2</anchor>
      <arglist>(const ACE_INET_Addr &amp;mcast_addr, const ACE_QoS_Params &amp;qos_params, int reuse_addr=1, const ACE_TCHAR *net_if=0, int protocol_family=PF_INET, int protocol=0, ACE_Protocol_Info *protocolinfo=0, ACE_SOCK_GROUP g=0, u_long flags=0, ACE_QoS_Session *qos_session=0)</arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a3</anchor>
      <arglist>(const iovec buffers[], int buffer_count, size_t &amp;number_of_bytes_sent, int flags, const ACE_Addr &amp;addr, ACE_OVERLAPPED *overlapped, ACE_OVERLAPPED_COMPLETION_FUNC func) const</arglist>
    </member>
    <member kind="function">
      <type>ssize_t</type>
      <name>send</name>
      <anchor>a4</anchor>
      <arglist>(const void *buf, size_t n, const ACE_Addr &amp;addr, int flags, ACE_OVERLAPPED *overlapped, ACE_OVERLAPPED_COMPLETION_FUNC func) const</arglist>
    </member>
    <member kind="function">
      <type>ACE_QoS_Manager</type>
      <name>qos_manager</name>
      <anchor>a5</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>open</name>
      <anchor>a6</anchor>
      <arglist>(const ACE_INET_Addr &amp;addr, const ACE_QoS_Params &amp;qos_params, int protocol_family=PF_INET, int protocol=0, ACE_Protocol_Info *protocolinfo=0, ACE_SOCK_GROUP g=0, u_long flags=0, int reuse_addr=0)</arglist>
    </member>
    <member kind="variable">
      <type></type>
      <name>ACE_ALLOC_HOOK_DECLARE</name>
      <anchor>m0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>subscribe_ifs</name>
      <anchor>c0</anchor>
      <arglist>(const ACE_INET_Addr &amp;mcast_addr, const ACE_QoS_Params &amp;qos_params, const ACE_TCHAR *net_if, int protocol_family, int protocol, int reuse_addr, ACE_Protocol_Info *protocolinfo)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ACE_QoS_Manager</type>
      <name>qos_manager_</name>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
